using GTANetworkAPI;
using System;
using System.Collections.Generic;
using System.Text;
using System.Timers;

namespace ReallifeGamemode.Server.Managers
{
    public class TimeManager
    {
        private static Timer realTimeTimer;

        public static void StartTimeManager()
        {
            if (realTimeTimer == null)
            {
                realTimeTimer = new Timer(1000);
                realTimeTimer.Elapsed += SetTime;
            }

            realTimeTimer.Start();
        }

        public static void PauseTimeManager()
        {
            realTimeTimer.Stop();
        }

        private static void SetTime(object sender, ElapsedEventArgs args)
        {
            DateTime now = DateTime.Now;
            NAPI.World.SetTime(now.Hour, now.Minute, now.Second);
        }
    }
}
